version: '3'
services:
    rentals-mysql:
        image: mysql:5.7
        container_name: rentals-mysql
        ports:
            - "5306:3306"
        environment:
            - MYSQL_DATABASE=rentals
            - MYSQL_ROOT_PASSWORD=19uhnidjkasnd873g1u21
            - MYSQL_ROOT_HOST=%
    rentals-api:
        image: node:lts
        container_name: rentals-api
        command: npm start
        ports:
            - "5001:5001"
            - "9005:9005"
        environment:
            - PORT=5001
            - ENV=dev
            - TOKEN_SECRET=iohas9dh9qy7821231uhasu9dg8721
            - MYSQL_HOST=rentals-mysql
            - MYSQL_DATABASE=rentals
            - MYSQL_USER=root
            - MYSQL_ROOT_PASSWORD=19uhnidjkasnd873g1u21
        working_dir: /app
        volumes:
            - "./api:/app"
    rentals-ui:
        image: node:lts
        container_name: rentals-ui
        command: npm start
        ports:
            - "5000:5000"
        environment:
            - ENV=dev
        working_dir: /app
        volumes:
            - "./ui:/app"
